Bug 455157 - Gnome movement key do not switch
Gnome movement key do not switch
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-13 03:49 EDT by Alexey Kuznetsov
Modified: 2009-07-14 11:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:06:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Kuznetsov 2008-07-13 03:49:46 EDT
I use macbook pro and .xmodmap configuration. When i change movement key to
Super by gnome-window-properties i can still move window both by alt (115) key
and by super key (64).

My .xmodmap file:

keycode 115 = Alt_L
keycode 116 = Alt_R
keycode 108 = Delete
keycode 64 = Super_L
keycode 204 = Print Sys_Req


look like bug in event parsing, gnome check event before xmodmap.
Comment 1 Toshio Ernie Kuratomi 2008-07-13 19:36:35 EDT
gnome-common is a package for helping to build gnome applications.  You might
want control-center (for the gnome-window-properties program) or one of the
gnome libraries instead.
Comment 2 Alexey Kuznetsov 2008-07-14 03:03:26 EDT
thx, switch to control-centre
Comment 3 Bastien Nocera 2009-05-07 23:44:59 EDT
What's the movement key? I don't understand the problem at all. Please explain step-by-step how to reproduce the problem and what you expected to happen.
Comment 4 Alexey Kuznetsov 2009-05-08 01:14:51 EDT
Its bug in some where in X server system. As i understand this problem X server make copy of some keycodes within global variables and those keys going unmappable.

Almost all keys mappable by xmodmap way, except some special keys: shift, ctrl, print screen and some other modifiers.

For example: create simple xmodmap which map all special keys.

Try to map shit to ctrl and ctrl to shift. Print key to F12 and F12 to print. Alt key to Super and Super to Alt.

As i expect exceything should works as i described above, but threy wont work in this way.

Gnome wont to remember you map alt key to other and its still work with old Alt as window movement key.

here an example:

Default code for Super_L is 133, code for Alt_L is 64. In my system gnome window movement key is Super_L.

then i can remap Super_L as Alt_L and Alt_L as Super_L.

[axet@axet-laptop ~]$ cat test
keycode 64 = Super_L
keycode 134 = Alt_L
[axet@axet-laptop ~]$ xmodmap  test

Now i want try to move window by Alt_L key, because its should work as Super_L. But its wont to work! Also Super_L doesn't do its job...
Comment 5 Bug Zapper 2009-06-09 22:04:07 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 11:06:49 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.